/*
 * CampoMenoraUnaFechaDependiente.java
 *
 * Created on 22 de marzo de 2007, 11:28 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package com.fidufosyga.rules;

import java.text.SimpleDateFormat;
import java.util.Date;

import com.fidufosyga.rules.util.ValidarFecha;

/**
 *
 * @author rborja
 */
public class CampoMenoraUnaFechaDependiente extends AbstractRule {

    String DATE_FORMAT = "dd/MM/yyyy";

    SimpleDateFormat sdf;

	// Create object of SimpleDateFormat and pass the desired date format.
    /**
     * Creates a new instance of CampoVacio
     */
    public CampoMenoraUnaFechaDependiente() {
        sdf = new SimpleDateFormat(DATE_FORMAT);
        sdf.setLenient(false);
    }

    public boolean performValidation(String field, String registro[],
            String nombreArchivo) {
        String fechaOtra = (String) getParams()[2];
        if (registro[new Integer((String) getParams()[0]).intValue()]
                .equals(getParams()[1])) {
            if (field.length() == 0) {
                return true;
            }

            if (field.length() != 10 || fechaOtra.length() != 10) {
                return false;
            }

            if (!ValidarFecha.esFecha(field)) {
                return false;
            }
            Date dateCampo = null;
            Date dateOtra = null;
            try {
                dateCampo = sdf.parse(field);
                dateOtra = sdf.parse(fechaOtra);
            } catch (Exception e) {
                return false;
            }

            if (dateOtra.after(dateCampo)) {
                return true;
            }

            return false;
        } else {
            return false;
        }
    }

}
